Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Install problem GDAL MrSid on 10.04 LTS

  1. #1
    Join Date
    May 2010
    Location
    Chatham, Ontario
    Beans
    9
    Distro
    Ubuntu 10.04 Lucid Lynx

    Unhappy Install problem GDAL MrSid on 10.04 LTS

    Has anyone been able to successfully compile the MrSid plugin for GDAL on 10.04?

    I've been trying on a fresh install of 10.04. I got GDAL 1.7.2 and libgdal-mrsid-src 1.7.2 from deb http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu lucid main

    The GDAL alone appears to be working fine.

    From LizardTech I got and used Geo_DSDK-7.0.0.2167.linux.x86.gcc41.tar.gz described as:
    GeoExpress Raster SDK for MG3/MG2 for Linux (x86) - gcc 4.1 32-bit
    Supported Processor: 32-bit x86
    Supported Systems: Linux 2.6.9+ / glibc 2.3.4 / libstdc++ 6
    Supported Compiler: gcc 4.1


    Compiling the src with gdal-mrsid-build (provided by the package) doesn't appear to produce any errors. But afterwards GDAL no longer works. For example the command gdalinfo --format produces a illegal operation error. QGIS will just crash on startup. Removing the newly created gdal_MrSID.so from /usr/lib/gdal17plugins/ resolves the errors.


    I know that 10.04 installs with gcc 4.4 so I installed 4.1, reset my gcc, g++ and cpp links to the 4.1 versions and tried that. No luck. gcc 4.4 still uses libstdc++6 so I didn't do anything there. That left glibc 2.3.4 as a potential problem. Since I couldn't find a package to install that on 10.04, I tried to compile it from source. But that gave me just a mess of errors I'm not prepared to resolve at this point.


    So has anyone out there had success with this? Any help would be appreciated. All our imagery is in MrSID format .

  2. #2
    Join Date
    Mar 2009
    Location
    Yangon, Myanmar
    Beans
    136
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: Install problem GDAL MrSid on 10.04 LTS

    No luck here either I'm afraid. Have had to revert to using a PC! Waiting for lizardtech to update GDAL for 10.04 seems to be all there is to do. Please post if / when there is an update, or you managed to get Mr Sid files working in QGIS.

  3. #3
    Join Date
    Mar 2009
    Location
    Yangon, Myanmar
    Beans
    136
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: Install problem GDAL MrSid on 10.04 LTS

    By way of Update, have just installed QGIS 1.5 Tethys on Ubuntu 10.04, but it seems there is still no fix for the Mr Sid problem.

  4. #4
    Join Date
    Mar 2009
    Location
    Yangon, Myanmar
    Beans
    136
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: Install problem GDAL MrSid on 10.04 LTS

    Correction: MrSID formats can now be used with QGIS 1.5.0 Tethys. After much googling, I found a tutorial on how to do set up for MrSID. QGIS is now in the main repositories for Ubuntu 10.04. You can follow the directions in the link below to for a tutorial on how install MrSID plugins for QGIS.
    http://trac.osgeo.org/ubuntugis/wiki/TutorialMrSid

  5. #5
    Join Date
    May 2010
    Location
    Chatham, Ontario
    Beans
    9
    Distro
    Ubuntu 10.04 Lucid Lynx

    Smile Re: Install problem GDAL MrSid on 10.04 LTS

    Thanks for letting me know that it's now fixed. I had been using that same set of directions you linked to. I'm not sure what has changed, the versions and date stamps on GDAL and libgdal-mrsid appear to be the same as my previous failed attempts. There must have been a change in one of the build libraries.

    Working Now!

  6. #6
    Join Date
    Mar 2011
    Location
    NSW, Australia
    Beans
    Hidden!
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: Install problem GDAL MrSid on 10.04 LTS

    The Geo_DSDK-7.0.0.2167.linux.x86.gcc41.tar.gz is no longer available
    Only Redhat is listed under Linux on the LizardTech site http://www.lizardtech.com/developer/.../downloads.php
    Unified_DSDK_8.0_linux.x86.gcc41.tgz

    As a result I can't display MrSid with Quantum Gis 1.6.0 'Copiapo'



  7. #7
    Join Date
    May 2010
    Location
    Chatham, Ontario
    Beans
    9
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Install problem GDAL MrSid on 10.04 LTS

    Have you tried using the new Unified SDK listed under Red Hat? If so, what kind of errors did it give you?

  8. #8
    Join Date
    Aug 2011
    Beans
    3

    Re: Install problem GDAL MrSid on 10.04 LTS

    I'm sorry but seems that MrSid is not compiled for gdal-1.8.1 with Lizardtech DSDK-8 I try to do with your instructions, and also with explained at http://www.wildsong.biz/index.php?ti..._GDAL_on_Linux, changing your filenames with Raster_DSDK as the new DSDK, but without success.

    I've tried with gcc3.4 and gcc4.1 on Ubuntu_Natty with http://ppa.launchpad.net/ubuntugis/u...nstable/ubuntu

    Any idea?

    Thanks

  9. #9
    Join Date
    May 2010
    Location
    Chatham, Ontario
    Beans
    9
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Install problem GDAL MrSid on 10.04 LTS

    I don't have any ideas. Nor am I set up as a test environment to try and figure it out. The only thing I could suggest is to try asking on one of the mailing lists at http://lists.osgeo.org/mailman/listinfo

  10. #10
    Join Date
    Oct 2011
    Beans
    2

    Re: Install problem GDAL MrSid on 10.04 LTS

    Not sure why it's marked solved.

    But this might be the solution:
    http://ubuntuforums.org/showthread.p...3#post11313263

Page 1 of 2 12 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •